package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.ChangeRecord;
import com.persagy.dmp.rwd.edit.service.ChangeRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/rwdedit/rwdChangeRecord")
public class ChangeRecordController {

    @Autowired
    private ChangeRecordService service;

    @PostMapping("/query")
    public PagedResponse<ChangeRecord> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody List<ChangeRecord> param) {
        return service.create(param);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody ChangeRecord param) {
        return service.update(param);
    }

    @PostMapping("/delete")
    public MapResponse delete(@RequestBody List<Integer> idList) {
        return service.delete(idList);
    }

}
