package com.persagy.dmp.rwd.edit.entity;

import com.persagy.dmp.rwd.edit.enumeration.EnumOperationType;
import com.persagy.dmp.rwd.edit.model.ChangeRecordModel;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Date;

@Setter
@Getter
@Entity
@Table(name = "rwd_change_record")
public class ChangeRecord {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    private String code;
    private String infoCode;
    private String value;
    private EnumOperationType operationType;//操作类型
    private String operationUser;//操作人
    private Date operationTime;//操作时间
    private String confirmUser;//确认人
    private Date confirmTime;//确认时间
    private String publishUser;//发布人
    private Date publishTime;//发布时间
    private Date finishTime;//完成时间
    private Boolean valid;//true 正常 false 失效
    private Integer state;//状态 0.取消 1.初始化 2.确认 3.发布 4.完成

    public static ChangeRecord fromModel(ChangeRecordModel model) {
        ChangeRecord entity = new ChangeRecord();
        entity.setId(model.getId());
        entity.setCode(model.getCode());
        entity.setInfoCode(model.getInfoCode());
        entity.setValue(model.getValue());
        entity.setOperationType(model.getOperationType());
        entity.setOperationUser(model.getOperationUser());
        entity.setOperationTime(model.getOperationTime());
        entity.setConfirmUser(model.getConfirmUser());
        entity.setConfirmTime(model.getConfirmTime());
        entity.setPublishUser(model.getPublishUser());
        entity.setPublishTime(model.getPublishTime());
        entity.setFinishTime(model.getFinishTime());
        entity.setValid(model.getValid());
        entity.setState(model.getState());
        return entity;
    }

    public ChangeRecordModel toModel() {
        ChangeRecordModel model = new ChangeRecordModel();
        model.setId(this.id);
        model.setCode(this.code);
        model.setInfoCode(this.infoCode);
        model.setValue(this.value);
        model.setOperationType(this.operationType);
        model.setOperationUser(this.operationUser);
        model.setOperationTime(this.operationTime);
        model.setConfirmUser(this.confirmUser);
        model.setConfirmTime(this.confirmTime);
        model.setPublishUser(this.publishUser);
        model.setPublishTime(this.publishTime);
        model.setFinishTime(this.finishTime);
        model.setValid(this.valid);
        model.setState(this.state);
        return model;
    }

}
